import { DeprecationMessageFunc } from "./middlewares/deprecated";
import { Container } from "./Container";
export interface StandardContainerOptions {
    /**
     * Configuration object for @Config decorators and annotations
     */
    config?: object;
    /**
     * A function that is responsible for displaying deprecation note. By default console.warn used
     */
    deprecationMessageFunc?: DeprecationMessageFunc;
    /**
     * Parent container
     */
    parent?: Container;
    /**
     * Whether to inform @Service decorator to use newly created container
     */
    configureServiceDecorator?: boolean;
}
/**
 * Creates preconfigured container:
 * * has all middlewares registered
 * * @Service decorator uses new container
 * * configMiddleware that uses given config object
 */
export declare function createStandard(options?: StandardContainerOptions): Container;
