"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFINITION_WITHOUT_CONTAINER = exports.OWNER_CANNOT_BE_CHANGED = exports.CONFIG_PROVIDER_NOT_ATTACHED = exports.AUTOWIRING_NO_METADATA = exports.AUTOWIRING_FAILED = exports.ALREADY_DEFINED = exports.MISSING_CONFIG_VALUE = exports.MISSING_INJECT_DECORATOR = exports.INVALID_SERVICE_ARGUMENTS_LENGTH = exports.INCOMPLETE_DEFINITION = exports.CIRCULAR_DEPENDENCY_DETECTED = exports.NO_MATCHING_SERVICE = exports.AMBIGUOUS_SERVICE = exports.SERVICE_NOT_FOUND = void 0;
const alpha_errors_1 = require("alpha-errors");
const domain = alpha_errors_1.create({
    codeGenerator: alpha_errors_1.generators.formatCode('ADIC_%d')
});
exports.SERVICE_NOT_FOUND = domain.create('Service not found', '1');
exports.AMBIGUOUS_SERVICE = domain.create('Ambiguous service', '2');
exports.NO_MATCHING_SERVICE = domain.create('No matching service', '3');
exports.CIRCULAR_DEPENDENCY_DETECTED = domain.create('Circular dependency detected', '4');
exports.INCOMPLETE_DEFINITION = domain.create('The service definition is not complete', '5');
// Number 6 is missing due to removed requirement for service to have a name
exports.INVALID_SERVICE_ARGUMENTS_LENGTH = domain.create('Invalid service arguments length', '7');
exports.MISSING_INJECT_DECORATOR = domain.create('Missing @Inject decorator', '8');
exports.MISSING_CONFIG_VALUE = domain.create('Missing config value', '9');
exports.ALREADY_DEFINED = domain.create('Service with given name already defined', '10');
exports.AUTOWIRING_FAILED = domain.create('Inferred type for %s is an interface, union type or built-in object that is not supported', '11');
exports.AUTOWIRING_NO_METADATA = domain.create('Metadata are missing. Make sure you have compiled typescript project with "emitDecoratorMetadata" option enabled', '12');
exports.CONFIG_PROVIDER_NOT_ATTACHED = domain.create('Config provider not attached to container. You need to use config middleware first.');
exports.OWNER_CANNOT_BE_CHANGED = domain.create('Owner of definition cannot be changed. Make sure you are not using same definition in multiple containers');
exports.DEFINITION_WITHOUT_CONTAINER = domain.create('Cannot create service due to lack of assigned container');
